# Merchant_User_Update

For an external partner to create/update a user. Fields provided will be checked against the Momnt database
to ensure permissions and accounts exist. Users are created in Merchants; therefore, a merchant must exist.
Users are created by Admin users; therefore, one must exist. To that end: A successful merchant onboarding workflow
should have been created before this endpoint can't be used effectively.
**Requirements:**
- request_user_id: There must be a user ID in our system for this POST request to succeed. That user must
have permission to create subsequent users, in this specific merchant/sponsor. This user ID should have
been established in previous interactions, such as pre-onboarding. Therefore, this field should be in the
partner's database as well as Momnt.

Endpoint: PATCH /api/v1/sponsor/merchants/users/
Version: 1.0.0 (sponsor_merchant_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `request_user_id` (string)

  - `user_id` (string)

  - `first_name` (string)

  - `last_name` (string)

  - `email` (string)

  - `is_active` (boolean)

  - `phone_number` (string)

  - `user_type` (string)
    * `Admin` - Admin
* `Salesperson` - Salesperson
* `Salesmanager` - Salesmanager
* `Salesrep` - Salesrep
    Enum: "Admin", "Salesperson", "Salesmanager", "Salesrep"

  - `external_org_ids` (array)

## Response 200 fields (application/json):

  - `first_name` (string, required)

  - `last_name` (string, required)

  - `email` (string, required)

  - `phone_number` (string, required)

  - `user_type` (string, required)

  - `is_active` (boolean, required)

  - `user_id` (string, required)

  - `reward_id` (string, required)

## Response 400 fields (application/json):

  - `detail` (string, required)

## Response 403 fields (application/json):

  - `detail` (string, required)

